%global debug_package %{nil}
%global toolchain clang

Name:           snapwm
Version:        2.0.8
Release:        6%{dist}
Summary:        A xinerama and Xrandr aware, minimal and lightweight dynamic tiling window manager

License:        MIT
URL:            https://github.com/moetunes/%{name}-stable
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz#/%{name}-stable-%{version}.tar.gz
Source1:        %{name}.desktop

Patch0:         %{name}-flags-fix.patch

BuildRequires:  desktop-file-utils
BuildRequires:  musl-clang
BuildRequires:  make
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xrandr)

%description
snapwm  is  a dynamic tiling window manager that aims to be light on resources, easy to configure and offer choice. The main
emphasis is on keyboard control with some mouse support provided.

%prep
%setup -q -n %{name}-stable-%{version}
%autopatch

%build
%make_build %{?_smp_flags}

%install
%make_install PREFIX=%{_prefix}
desktop-file-install --dir=%{buildroot}%{_datadir}/xsessions/ %{SOURCE1}
mkdir -p %{buildroot}%{_sysconfdir}/xdg/%{name}/
install -m 644 %{_builddir}/%{name}-stable-%{version}/sample.apps.conf %{buildroot}%{_sysconfdir}/xdg/%{name}
install -m 644 %{_builddir}/%{name}-stable-%{version}/sample.key.conf %{buildroot}%{_sysconfdir}/xdg/%{name}
install -m 644 %{_builddir}/%{name}-stable-%{version}/sample.rc.conf %{buildroot}%{_sysconfdir}/xdg/%{name}

%files
%doc README.md
%config(noreplace) %{_sysconfdir}/xdg/%{name}
%{_datadir}/xsessions/%{name}.desktop
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%changelog
* Wed Apr 24 2024 David Salomon <david35mm@pm.me> - 2.0.8-6
- Rebuild with clang

* Mon May 23 2022 David Salomon <david35mm@pm.me> - 2.0.8-5
- Now PREFIX is /usr instead of /usr/local, added patch to fix compiler flags

* Wed Apr 28 2021 David Salomon <david35mm@pm.me> - 2.0.8-3
- Rebuild to support Fedora 34 and Rawhide

* Tue Oct 20 2020 David Salomon <david35mm@pm.me> - 2.0.8-1
- First snapwm package
